import request from '@/utils/request'

// 获取领用申请列表
export function getReceiveApplyApi(query) {
    return request({
        url: '/material/leaseTask/auditList',
        method: 'get',
        params: query
    })
}
// 获取领用申请详情
export function getReceiveApplyDetailsApi(query) {
    return request({
        url: '/material/ma_type/getMaTypeTreeSelect',
        method: 'get',
        params: query
    })
}
// 获取审核记录详情
export function getAuditingDetailsApi(query) {
    return request({
        url: '/material/sysWorkflowNode/listByTaskId',
        method: 'get',
        params: query
    })
}
// 审核提交接口
export function submitAuditingApi(data) {
    return request({
        url: '/material/sysWorkflowRecordHistory/update',
        method: 'post',
        data
    })
}

// 审核提交接口
export function submitAuditingDirectApi(data) {
    return request({
        url: '/material/sysWorkflowRecordHistory/directUpdate',
        method: 'post',
        data
    })
}

// 获取审核状态
export function getNodeAuditStatusAPI(query) {
    return request({
        url: '/material/sysWorkflowRecordHistory/getAuditStatus',
        method: 'get',
         params: query
    })
}


// 报备丢失审核提交接口
export function submitAuditingLoseApi(data) {
    return request({
        url: '/material/LossAssign/directUpdate',
        method: 'post',
        data
    })
}
